<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Jobs\NodelistImport as Job;

class NodelistImport extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'nodelist:import'
		.' {file : Nodelist File}'
		.' {--D|delete : Delete old data for the date}'
		.' {--U|unlink : Delete file after import}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Import Nodelist';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		return Job::dispatchSync($this->argument('file'),$this->option('delete'),$this->option('unlink'));
	}
}