<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

use App\Classes\Protocol;
use App\Classes\Sock\SocketClient;
use App\Classes\Protocol\Zmodem as ZmodemClass;

class ZmodemSend extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'zmodem:send {ip}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'ZMODEM send';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		Log::info('Call ZMODEM send');

		[$address,$service_port] = explode(':',$this->argument('ip'),2);
		$client = SocketClient::create($address,$service_port);

		$o = new ZmodemClass;
		$o->session(Protocol::SESSION_ZMODEM,$client);

		Log::info(sprintf('Connection ended: %s',$client->address_remote),['m'=>__METHOD__]);
	}
}