<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEchomail extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('echomails', function (Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('pkt_from');
			$table->integer('pkt_to');
			$table->datetime('pkt_date');
			$table->string('pkt');
			$table->string('flags');
			$table->integer('cost');
			$table->string('from_user');
			$table->integer('from_ftn');
			$table->string('to_user');
			$table->string('subject');
			$table->datetime('date');
			$table->string('tz')->nullable();
			$table->string('area');
			$table->string('msgid')->nullable();
			$table->string('replyid')->nullable();
			$table->text('message');
			$table->string('origin');
			$table->text('original')->nullable();

			$table->index('pkt_from');
			$table->index('pkt_to');
			$table->index('from_ftn');
			$table->foreign('pkt_from')->references('id')->on('nodes');
			$table->foreign('pkt_to')->references('id')->on('nodes');
			$table->foreign('from_ftn')->references('id')->on('nodes');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::dropIfExists('echomails');
	}
}
