<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPublicToDomains extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('domains', function (Blueprint $table) {
			$table->boolean('public')->default(TRUE);
			$table->text('homepage')->nullable();
        });

		Schema::table('zones', function (Blueprint $table) {
			$table->dropColumn('public');
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('domains', function (Blueprint $table) {
            $table->dropColumn(['public','homepage']);
        });
		Schema::table('zones', function (Blueprint $table) {
			$table->boolean('public')->default(TRUE);
		});
    }
}
