<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSystemToSetups extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('setups', function (Blueprint $table) {
			$table->integer('options');
			$table->integer('system_id');
			$table->foreign('system_id')->references('id')->on('systems');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('setups', function (Blueprint $table) {
			$table->dropForeign(['system_id']);
			$table->dropColumn(['system_id','options']);
		});
	}
}
