@extends('layouts.app')
@section('htmlheader_title')
	About
@endsection

@section('content')
	<h2>About the FTN Clearing House</h2>

	<p>Welcome to the FTN Clearing House.</p>
	<p>The FTN Clearing House (FCH) is both a FTN Mailer and FTN message tosser, where mail is stored internally in a DB. FCH can also hatch and toss files into FTN networks for both up/downstream nodes.</p>
	<p>It was created as an idea to bring modern technology and capabilities to a legacy computing network that existed in the 1970's, 1980's and 1990's (before the Internet basically).</p>

	<p>Setting up a BBS is fun, but using a BBS for the long term, in amongst our busy lives can involve some repetitive tasks.
		In the same vain, maintaining and growing an FTN network also can be time consuming, especially when your effort (or lack thereof) can affect the experience of your users.
		So FCH was created to help address that.
	</p>

	<p>Building this software is driven by two main goals:</p>
	<ul>
		<li>Self Service - so that users can setup and re-jig their configuration themselves, or new users can join a network with the minimum of effort.</li>
		<li>Automation - so that repetitive tasks can be done with minimal effort</li>
	</ul>

	<p>So that you can send your time playing on your BBS rather than managing messages/fails or keeping an FTN network running.</p>

	<h3>For the BBS Sysop</h3>
	<p>For the BBS sysop, the FTN Clearing House has the following features (or planned ones):</p>
	<ul>
		<li>Supports BINKP network transfers</li>
		<li>Supports EMSI network transfers</li>
		<li>Supports PING responses</li>
		<li>A consistent reliable echomail/netmail hub for your BBSes.<br>
If you have more than 1 BBS, then the Clearing House can receive all your mail from your uplinks and feed them to your BBSes.
		</li>
	</ul>

	<h3>For the FTN network operator</h3>
	<p>For the FTN network operator, the FTN Clearing House has the following features (or planned ones):</p>
	<ul>
		<li>Supports BINKP network transfers</li>
		<li>Supports EMSI network transfers</li>
		<li>Automatic route configuration</li>
		<li>Manages ECHO areas and FILE areas <sup>To be implemented</sup></li>
		<li>Supports PING and TRACE responses <sup>To be implemented</sup></li>
		<li>Nodelist Management <sup>To be implemented</sup></li>
		<li>Network Applications <sup>To be implemented</sup></li>
		<li>Dynamic mail bundling for upstream and downstream nodes <sup>To be implemented</sup></li>
		<li>Automatic delisting of idle nodes <sup>To be implemented</sup></li>
	</ul>

	<h5>Other things</h5>
	<p>Other ideas that may make it into this tool:</p>
	<ul>
		<li>SMTP integration</li>
		<li>PGP signed mail and mail verification</li>
		<li>SQRL simple authentication <small>(so there is 1 less username/password you need to remember)</small></li>
	</ul>

	<p>To get started, please <a href="{{ url('login') }}">login</a>.</p>

	<h4>Open Source</h4>
	<p>FTN Clearing House is build with Open Source software. At it's core, PHP drives this web UI and the interaction with nodes.</p>
	<p>This web UI has been inspired by the great work at <a href="https://int10h.org">int10h.org</a>. If you have ideas to make it even better, please send me a message, or submit your comments in <a href="https://dev.leenooks.net/bbs/clrghouz">gitlab</a></p>
	<span class="float-end"><strong class="highlight">clrghouz</strong> <small>[<strong class="gray">{{ gethostname() }}</strong>@if (File::exists('../VERSION')) @ <strong class="success">{{ chop(File::get('../VERSION')) }}</strong>@endif]</small></span>
@endsection