@extends('layouts.auth')

@section('htmlheader_title')
	Log in
@endsection

@section('content')
	@if(isset($login_note) AND $login_note)
		<div class="row">
			<div class="col-8 m-auto">
				<div class="alert alert-info alert-dismissible" role="alert">
					<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					<h4 class="alert-heading">
						<svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Info:"><use xlink:href="#info-fill"/></svg>
						NOTE!
					</h4>
					{!! $login_note !!}
				</div>
			</div>
		</div>
	@endisset

	<div class="row">
		<div class="col-6 m-auto">
			<div class="greyframe titledbox shadow0xb0 text-center">
				<h2 class="cap">Login</h2>

				<form class="row g-0 needs-validation" method="post" novalidate>
					@csrf

					<div class="row">
						<div class="col-12">
							<label for="email" class="form-label">Email</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-person-badge"></i></span>
								<input type="text" class="form-control @error('email') is-invalid @enderror" id="email" placeholder="Email" name="email" required autocomplete="email" autofocus>
								<span class="invalid-feedback" role="alert">
									@error('email')
										{{ $message }}
									@else
										Your email is required.
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="password" class="form-label">Password</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-key-fill"></i></span>
								<input type="password" class="form-control" id="password" placeholder="Password" name="password" required>
								<span class="invalid-feedback" role="alert">
									Your password is required.
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-4">
							<label><input type="checkbox" name="remember"> Remember Me</label>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<a href="{{ url('/') }}" class="btn btn-danger">Cancel</a>
							<button type="submit" name="submit" class="btn btn-success float-end">Sign In</button>
						</div>
					</div>
				</form>

				<div class="row">
					<div class="col-12">
						<a class="link-danger" href="{{ url('password/reset') }}">Forgot Password</a>
					</div>
				</div>

				<div class="row">
					<div class="col-12">
						<a class="link-danger" href="{{ url('register') }}">Register</a>
					</div>
				</div>
			</div>
		</div>
	</div>
@endsection