@extends('layouts.auth')

@section('htmlheader_title')
	Reset Password
@endsection

@section('content')
	@if (Session('status'))
		<div class="row">
			<div class="col-8 m-auto">
				<div class="alert alert-success" role="alert">
					{{ session('status') }}
				</div>
			</div>
		</div>
	@endif

	<div class="row">
		<div class="col-6 m-auto">
			<div class="greyframe titledbox shadow0xb0 text-center">
				<h2 class="cap">Reset Password</h2>

				<form class="row g-0 needs-validation" method="post" action="{{ route('password.update') }}" novalidate>
					@csrf
					<input type="hidden" name="token" value="{{ $token }}">

					<div class="row">
						<div class="col-12">
							<label for="email" class="form-label">Email</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-person-badge"></i></span>
								<input type="text" class="form-control @error('email') is-invalid @enderror" id="email" placeholder="Email" name="email" value="{{ old('email',$email) }}" required autocomplete="email" autofocus>
								<span class="invalid-feedback" role="alert">
									@error('email')
										{{ $message }}
									@else
										Your email is required.
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="password" class="form-label">Password</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-key-fill"></i></span>
								<input type="password" class="form-control @error('password') is-invalid @enderror" id="password" placeholder="Password" name="password" required>
								<span class="invalid-feedback" role="alert">
									@error('password')
										{{ $message }}
									@else
										Your password is required.
									@enderror
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<label for="password" class="form-label">Password Again</label>
							<div class="input-group has-validation">
								<span class="input-group-text"><i class="bi bi-key-fill"></i></span>
								<input type="password" class="form-control" id="password" placeholder="Password Again" name="password_confirmation" required>
								<span class="invalid-feedback" role="alert">
									Please re-enter your password.
								</span>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<a href="{{ url('/') }}" class="btn btn-danger">Cancel</a>
							<button type="submit" name="submit" class="btn btn-success float-end">Sign In</button>
						</div>
					</div>
				</form>
            </div>
        </div>
    </div>
@endsection
