@extends('layouts.app')
@section('htmlheader_title')
	Echoareas
@endsection

@section('content')
	<div class="row">
		<div class="col-12">
			<h2>About Echoareas</h2>
			<p>BBS Systems exchange public messages called <strong class="highlight">echomail</strong>. Echomail is grouped into <strong class="highlight">echoareas</strong> normally around a theme or a topic.</p>
			<p>Each echoarea has a unique <strong class="highlight">areatag</strong> which helps a receiving BBS to know where to file the message when it is received.</p>
		</div>
	</div>

	<div class="row">
		<div class="col-9">
			<p>This system is aware of the following echoareas @can('admin',(new \App\Models\Echoarea))(you can <a href="{{ url('ftn/echoarea/addedit') }}">add</a> more)@endcan:</p>

			@if (\App\Models\Echoarea::count() == 0)
				@can('admin',(new \App\Models\Echoarea))
					<p>There are no echoareas setup, to <a href="{{ url('ftn/echoarea/addedit') }}">set up your first</a>.</p>
				@else
					<p class="pad">There are no echoareas - you need to ask an admin to create one for you.</p>
				@endcan
			@else
				<table class="table monotable" id="echoarea">
					<thead>
					<tr>
						<th>ID</th>
						<th>Areatag</th>
						<th>Description</th>
						<th>Active</th>
						<th>Domain</th>
					</tr>
					</thead>

					<tbody>
					@foreach (\App\Models\Echoarea::orderBy('name')->with(['domain'])->get() as $oo)
						<tr>
							<td><a href="{{ url('ftn/echoarea/addedit',[$oo->id]) }}">{{ $oo->id }}</a></td>
							<td>{{ $oo->name }}</td>
							<td>{{ $oo->description }}</td>
							<td>{{ $oo->active ? 'YES' : 'NO' }}</td>
							<td>{{ $oo->domain->name }}</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			@endif
		</div>
	</div>
@endsection

@section('page-scripts')
	<link type="text/css" rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap5.min.css" media="screen">
	<link type="text/css" rel="stylesheet" href="{{ asset('plugin/dataTables/dataTables.bootstrap5.css') }}" media="screen">

	<script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/rowgroup/1.1.2/js/dataTables.rowGroup.min.js"></script>
	<script type="text/javascript" src="{{ asset('plugin/dataTables/dataTables.conditionalPaging.js') }}"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap5.min.js"></script>

	<script type="text/javascript">
		$(document).ready(function() {
			$('table tr').click(function() {
				var href = $(this).find('a').attr('href');

				if (href)
					window.location = href;
			});

			$('#echoarea').DataTable({
				paging: true,
				pageLength: 25,
				searching: true,
				order: [],
				conditionalPaging: {
					style: 'fade',
					speed: 500
				},
				rowGroup: {
					dataSrc: [4],
				},
				columnDefs: [
					{
						targets: [4],
						visible: false,
					},
				],
				language: {
					paginate: {
						previous: '&lt;&lt;',
						next: '&gt;&gt;'
					}
				}
			});
		});
	</script>
@append
