@php
	use App\Models\Setup;
@endphp

<form class="row g-0 needs-validation" method="post" novalidate>
	@csrf

	<div class="row">
		<div class="col-12">
			<div class="greyframe titledbox shadow0xb0">
				<h2 class="cap">@if($o->exists) Update @else Add @endif System</h2>

				<div class="row">
					<!-- Name -->
					<div class="col-4">
						<label for="name" class="form-label">Name</label>
						<div class="input-group has-validation">
							<span class="input-group-text"><i class="bi bi-tag-fill"></i></span>
							<input type="text" class="form-control @error('name') is-invalid @enderror" id="name" placeholder="Name" name="name" value="{{ old('name',$o->name) }}" required @cannot('admin',$o)disabled @endcannot autofocus>
							<span class="invalid-feedback" role="alert">
								@error('name')
									{{ $message }}
								@else
									A name is required.
								@enderror
							</span>
						</div>
					</div>

					<!-- Active -->
					<div class="col-2">
						<label for="active" class="form-label">Active</label>
						<div class="input-group">
							<div class="btn-group" role="group">
								<input type="radio" class="btn-check" name="active" id="active_yes" value="1" required @cannot('admin',$o)disabled @endcannot @if(old('active',$o->active))checked @endif>
								<label class="btn btn-outline-success" for="active_yes">Yes</label>

								<input type="radio" class="btn-check btn-danger" name="active" id="active_no" value="0" required @cannot('admin',$o)disabled @endcannot @if(! old('active',$o->active))checked @endif>
								<label class="btn btn-outline-danger" for="active_no">No</label>
							</div>
						</div>
					</div>

					<!-- ZeroTier ID -->
					<div class="offset-3 col-3">
						<label for="zt_id" class="form-label">ZeroTier ID</label>
						<div class="input-group has-validation">
							<span class="input-group-text"><i class="bi bi-shield-lock-fill"></i></span>
							<input type="text" class="form-control @error('zt_id') is-invalid @enderror" id="zt_id" placeholder="ZeroTier" name="zt_id" value="{{ old('zt_id',$o->zt_id) }}" @cannot('admin',$o)disabled @endcannot>
							<span class="invalid-feedback" role="alert">
								@error('zt_id')
									{{ $message }}
								@enderror
							</span>
						</div>
					</div>
				</div>

				<div class="row">
					<!-- Sysop -->
					<div class="col-4">
						<label for="sysop" class="form-label">Sysop</label>
						<div class="input-group has-validation">
							<span class="input-group-text"><i class="bi bi-globe"></i></span>
							<input type="text" class="form-control @error('sysop') is-invalid @enderror" id="sysop" placeholder="Sysop" name="sysop" value="{{ old('sysop',$o->sysop) }}" required @cannot('admin',$o)disabled @endcannot autocomplete="name">
							<span class="invalid-feedback" role="alert">
								@error('sysop')
									{{ $message }}
								@else
									A Sysop's name is required.
								@enderror
							</span>
						</div>
					</div>

					<!-- Location -->
					<div class="col-8">
						<label for="location" class="form-label">Location</label>
						<div class="input-group has-validation">
							<span class="input-group-text"><i class="bi bi-globe"></i></span>
							<input type="text" class="form-control @error('location') is-invalid @enderror" id="location" placeholder="Location" name="location" value="{{ old('location',$o->location) }}" required @cannot('admin',$o)disabled @endcannot>
							<span class="invalid-feedback" role="alert">
								@error('location')
									{{ $message }}
								@else
									System location is required.
								@enderror
							</span>
						</div>
					</div>
				</div>

				<div class="row">
					<!-- Mailer Details -->
					<div class="col-12">
						<h4>Mailer Details</h4>

						<div class="pt-0 row">
							<div class="col-4">
								<label for="method" class="form-label">Connection Method</label>
								<div class="input-group">
									<span class="input-group-text"><i class="bi bi-wifi"></i></span>
									<select class="form-select @error('method') is-invalid @enderror" id="mailer_type" name="mailer_type" @cannot('admin',$o)disabled @endcannot>
										<option></option>
										<option value="{{ Setup::O_BINKP }}" @if(old('mailer_type',$o->mailer_type) == Setup::O_BINKP)selected @endif}}>BINKP</option>
										<option value="{{ Setup::O_EMSI }}" @if(old('mailer_type',$o->mailer_type) == Setup::O_EMSI)selected @endif}}>EMSI</option>
									</select>
								</div>
							</div>

							<div class="col-8">
								<label for="address" class="form-label">Address</label>
								<div class="input-group has-validation">
									<span class="input-group-text"><i class="bi bi-globe"></i></span>
									<input type="text" class="w-75 form-control @error('mailer_address') is-invalid @enderror" id="mailer_address" placeholder="FQDN" name="mailer_address" value="{{ old('mailer_address',$o->mailer_address) }}" @cannot('admin',$o)disabled @endcannot>
									<input type="text" class="form-control @error('mailer_port') is-invalid @enderror" id="mailer_port" placeholder="Port" name="mailer_port" value="{{ old('mailer_port',$o->mailer_port) }}" @cannot('admin',$o)disabled @endcannot>
									<span class="invalid-feedback" role="alert">
										@error('mailer_address')
											{{ $message }}
										@enderror
										@error('mailer_port')
											{{ $message }}
										@enderror
									</span>
								</div>
							</div>
						</div>

						<div class="pt-0 row">
							<div class="col-4">
								<label for="phone" class="form-label">Phone</label>
								<div class="input-group has-validation">
									<span class="input-group-text"><i class="bi bi-telephone-fill"></i></span>
									<input type="text" class="form-control @error('phone') is-invalid @enderror" id="phone" placeholder="Phone" name="phone" value="{{ old('phone',$o->phone) }}" @cannot('admin',$o)disabled @endcannot>
									<span class="invalid-feedback" role="alert">
										@error('phone')
											{{ $message }}
										@enderror
									</span>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="row">
					<!-- BBS Details -->
					<div class="col-12">
						<h4>BBS Details</h4>

						<div class="pt-0 row">
							<div class="col-4">
								<label for="method" class="form-label">Connection Method</label>
								<div class="input-group">
									<span class="input-group-text"><i class="bi bi-wifi"></i></span>
									<select class="form-select @error('method') is-invalid @enderror" id="method" name="method" @cannot('admin',$o)disabled @endcannot>
										<option></option>
										<option value="23" @if(old('method',$o->method) == 23)selected @endif}}>Telnet</option>
										<option value="22" @if(old('method',$o->method) == 22)selected @endif}}>SSH</option>
										<option value="519" @if(old('method',$o->method) == 519)selected @endif}}>Rlogin</option>
									</select>
								</div>
							</div>

							<div class="col-8">
								<label for="address" class="form-label">Address</label>
								<div class="input-group has-validation">
									<span class="input-group-text"><i class="bi bi-globe"></i></span>
									<input type="text" class="w-75 form-control @error('address') is-invalid @enderror" id="address" placeholder="FQDN" name="address" value="{{ old('address',$o->address) }}" @cannot('admin',$o)disabled @endcannot>
									<input type="text" class="form-control @error('port') is-invalid @enderror" id="port" placeholder="Port" name="port" value="{{ old('port',$o->port) }}" @cannot('admin',$o)disabled @endcannot>
									<span class="invalid-feedback" role="alert">
										@error('address')
											{{ $message }}
										@enderror
										@error('port')
											{{ $message }}
										@enderror
									</span>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="row">
					<!-- Notes -->
					<div class="col-12">
						<label for="notes" class="form-label">Notes</label>
						<textarea class="form-control" rows=3 name="notes" placeholder="Notes..." @cannot('admin',$o)disabled @endcannot>{{ old('notes',$o->notes) }}</textarea>
					</div>
				</div>

				<div class="row">
					<div class="col-12">
						<a href="{{ url('ftn/system') }}" class="btn btn-danger">Cancel</a>
						@can('admin',$o)
							<button type="submit" name="submit" class="btn btn-success float-end">@if ($o->exists)Save @else Add @endif</button>
						@endcan
					</div>
				</div>
			</div>
		</div>
	</div>
</form>